## org.sqlite
Class ExtendedCommand.RestoreCommand

    java.lang.Object
      org.sqlite.ExtendedCommand.RestoreCommand

All Implemented Interfaces:
  ExtendedCommand.SQLExtension

Enclosing class:
  ExtendedCommand

    public static class ExtendedCommand.RestoreCommand

extends Object
implements ExtendedCommand.SQLExtension

Field Summary
`String` `srcFile`
`String` `targetDB`

Constructor Summary
`ExtendedCommand.RestoreCommand(String targetDB, String srcFile)`

Method Summary
`void` `execute(org.sqlite.DB db)`
`static ExtendedCommand.RestoreCommand` `parse(String sql)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### targetDB

    public final String targetDB

### srcFile

    public final String srcFile

Constructor Detail

### ExtendedCommand.RestoreCommand

    public ExtendedCommand.RestoreCommand(String targetDB,
                                          String srcFile)

Method Detail

### parse

    public static ExtendedCommand.RestoreCommand parse(String sql)
                                                throws SQLException

  Throws:
    `SQLException`

### execute

    public void execute(org.sqlite.DB db)
                 throws SQLException

  Specified by:
    `execute` in interface `ExtendedCommand.SQLExtension`
  Throws:
    `SQLException`

This work is licensed under a Creative Commons Attribution-ShareAlike 2.1 Japan License.